¿Cómo instalo Google Gadgets?

¿Cómo instalar los gadgets de google en ubuntu 11.10? Cualquier ppa s disponible? .El código fuente está disponible en su sitio web, ¿cómo empaquetarlo? Si aún no está empaquetado, ¿cómo puedo comstackrlo a partir del código fuente?

Como ejercicio de comstackción, es casi posible obligar a los gadgets de Google a comstackr; sin embargo, dudo que los gadgets de google para el escritorio sean útiles, ya que Google ha dejado de ofrecer soporte.

Por lo tanto, esta respuesta te dará suficientes indicaciones para lograr esto en 11.10:

introduzca la descripción de la imagen aquí


Cómo comstackr:

Instale los requisitos previos:

sudo apt-get install build-essential bzr autoconf libtool sudo apt-get install build-essential zip flex desktop-file-utils shared-mime-info zlib1g-dev libgtk2.0-dev libxml2-dev libdbus-1-dev librsvg2-dev libcurl4-gnutls-dev libgstreamer-plugins-base0.10-dev network-manager-dev libqt4-dev libstartup-notification0-dev libltdl-dev libqt4-dev 

obtener la fuente

 cd ~/Downloads bzr branch lp:googlegadgets cd googlegadgets/ 

generar algo para comstackr

 sh autotools/bootstrap.sh ./configure 

comstackr

Ahora, esto no es sencillo ya que hay varias partes del código que no se comstackn en 11.10.

Por lo tanto es interactivo – corrige y luego ejecuta make . Repita esto hasta que se compile completamente.

Los archivos a editar son:

 gedit ggadget/gtk/single_view_host.cc & gedit ggadget/dbus/dbus_utils.cc & gedit extensions/gst_video_element/gadget_videosink.cc & gedit extensions/linux_system_framework/network.cc & gedit extensions/linux_system_framework/wireless.cc 

Para adoptar un enfoque purista, deberá reemplazar el código con 11.10 equivalentes. Tomando el enfoque del trabuco común … Acabo de comentar las distintas secciones, o donde se debe asignar una variable int , solo se le asignó un valor de 0 .

Obviamente, solo con comentar el código dejará estas áreas no funcionales, dejaré eso a una persona interesada para que investigue los 11.10 equivalentes …

Utilice el error “make” para comentar las secciones relevantes (los comentarios en ‘C’ son /* ... */ y // ... )

instalar

 sudo make install 

correr

 export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/lib gg-qt &